/* 
** Project: weerstation / weatherstation
** Ron Jut, May 2020, v16
**
** This sketch reads weather prediction information and rain precipitation from internet servers.
** Weather information is downloaded from an unsecured HTTP server 
** Rain precipitation information is downloaded from a secured HTTPS server using insecure access.
** This now uses weerlive.nl for weather data and buienradar.nl for rain data
**
** It writes weather information to one display and temp/rain information to another.
** Displays are type OLED 128x64 I2C 1" with SSD1306 chip
** Added big font to OLED display library for showing actual temperature on display.
**
** It also uses an RG(B) LED to indicate the alarm code for the area
** Arduino controller used is NodeMCU v1 i.e. ESP-12 rev E, board library 2.6.0.
*/
// include libraries
#include "ESP8266WiFi.h"
#include "SSD1306Wire.h" 

// debugging macros
#define DEBUG				// Remove comment for DEBUG mode!
#ifdef DEBUG
	#define DPRINT(...)		Serial.print(__VA_ARGS__)     
	#define DPRINTLN(...)	Serial.println(__VA_ARGS__)   
#else
	#define DPRINT(...)		//now defines a blank line i.e. no print output
	#define DPRINTLN(...)	//now defines a blank line i.e. no print output
#endif
